## LDAP Admin Application

Webapplikation zur Pflege von LDAP-Accounts und Gruppen,
eingebetteter Apache Directory Server

Konfiguration des eingebetteten LDAP im Tomcat (in der conf/server.xml):


    <Realm className="org.apache.catalina.realm.LockOutRealm">
        <Realm className="org.apache.catalina.realm.JNDIRealm" debug="99"
            resourceName="UserDatabase"
            connectionURL="ldap://localhost:10389"
            connectionName="uid=admin,ou=system"
            connectionPassword="streng-geheim"
            userBase="ou=users,dc=domain,dc=example,dc=com"
            userSearch="(uid={0})"
            roleBase="ou=groups,dc=domain,dc=example,dc=com"
            roleSubtree="true"
            roleName="cn"
            roleSearch="(uniqueMember={0})" />
    </Realm>

## CSV Import

Aufruf der Funktion mit Hilfe von Maven:

   mvn exec:java \
      -Dexec.mainClass="de.jalin.ldapadmin.tools.ImportUsersFromCSV" \
      -Dexec.args="verfiy etc/sample.csv"
