package de.jalin.ldapadmin.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Group implements Serializable, LDAPBean {

    private static final long serialVersionUID = 1L;

    private String dn;
    private String name;
    private List<String> members;

    public Group() {
        members = new ArrayList<>();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getMembers() {
        return members;
    }

    public void setMembers(List<String> members) {
        this.members = members;
    }

    @Override
    public String getDn() {
        return dn;
    }

    @Override
    public void setDn(String dn) {
        this.dn = dn;
    }

}
