package de.jalin.ldapadmin.beans;

public class ValidationException extends Exception {

    private static final long serialVersionUID = 1L;

    private final String fieldname;
    private final String condition;

    public ValidationException(final String fieldname, final String condition) {
        this.fieldname = fieldname;
        this.condition = condition;
    }

    public String getFieldname() {
        return fieldname;
    }

    public String getCondition() {
        return condition;
    }

}
