package de.jalin.ldapadmin.ldap;

public class RequiredAttributeException extends Exception {

    private static final long serialVersionUID = 1L;

    private final String fieldname;

    public RequiredAttributeException(final String fieldname) {
    	super("required attribute '" + fieldname + "' missing");
        this.fieldname = fieldname;
    }

    public String getFieldname() {
        return fieldname;
    }
    
}
