<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.exception"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
    <jsp:include page="template/navbar.jsp"/>
    <c:url var="logouturl" value="/logout" />
	
    <!-- Page Content -->
    <div class="container">
        <h1><fmt:message key="exception.title" /></h1>
	<p>${servletexception.message}</p>
	<p>
            <c:forEach var="stackItem" items="${servletexception.stackTrace}">
                <c:out value="${stackItem}"/><br/> 
            </c:forEach>
	</p>
    </div>
    <jsp:include page="template/footer.jsp"/>
</body>
</html>
