<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.navbar"/>
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only"><fmt:message key="navbar.toggle"/></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand"><fmt:message key="navbar.title"/></a>
        </div>
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li>
                    <a href="<c:url value="/users"/>"><fmt:message key="navbar.item.users"/></a>
                </li>
                <li>
                    <a href="<c:url value="/groups"/>"><fmt:message key="navbar.item.groups"/></a>
                </li>
                <li>
                    <a href="<c:url value="/profile"/>"><fmt:message key="navbar.item.profile"/></a>
                </li>
            </ul>
        </div>
    </div>
</nav>
